<?php

namespace App\Events\Dashboard;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class KomoditiNotify implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $response;
  public $cawangan;

  public function __construct($response,$cawangan)
  {
      $this->response = $response;
      $this->cawangan = $cawangan;
  }

  public function broadcastOn()
  {
    return ['komoditi-notify'];
  }

  public function broadcastAs()
  {
    return 'trigger-komoditi';
  }
}